Skip to main content
PATCH
Update a monitoring alert

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alert_id
string<uuid>
required

Unique identifier for this monitoring alert.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Body

application/json

Monitoring alert to update.

business_id
string<uuid>

The unique identifier of a business

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

metadata
object

Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.

person_id
string<uuid>

Unique ID for the person. Exactly one of person_id or business_id must be set.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

source
enum<string>

How the alert was produced. Any of the following:

  • MONITORING_SUBSCRIPTION – produced by an event from an ongoing monitoring subscription.
  • SANCTIONS_SCREENING – produced by a point-in-time sanctions screening.
Available options:
MONITORING_SUBSCRIPTION,
SANCTIONS_SCREENING
status
enum<string>

The status of the alert. Any of the following:

  • ACTIVE – alert has been issued and should be investigated.
  • SUPPRESSED – alert is a false positive, alert should be dismissed, or has been otherwise investigated.
Available options:
ACTIVE,
SUPPRESSED
title
string

A description of the monitoring alert.

Example:

"Ireland Competition and Consumer Protection Commission Criminal Court Cases"

vendor_info
Vendor Info · object

The information provided to Synctera from the vendor. Interpretation of this object is up to the client.

Response

Updated monitoring alert.